#if !defined( _PROBITFUNC_ )
#define _PROBITFUNC_

/*
 * From Abramowitz, M. and Stegun, I.A. (Eds.).  
 * Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables, 
 * 9th printing.  New York: Dover, pp.931-933, 1972.
 * Same function as used in Excel
 * see http://support.microsoft.com/?kbid=214111
 */


#include <valarray>
using namespace std;

double NormalProb(double z);
valarray<double> NormalProbList(valarray<double> zList, int size);

#endif

