/*
 * Test routine for the NormalProb function
 */

#include <iostream>
#include <iomanip>
#include "NormalProb.h"

int main() {
	using namespace std;
	
	double z = -6.25;
	valarray<double> zList(49);
	
	for (int i=0; i < 49; i++) {
		z += 0.25;
		cout << setprecision(2) << setiosflags(ios::right) 
			<< setiosflags(ios::showpoint | ios::fixed);
		cout << z << "\t" << setprecision(8)
				<< NormalProb(z) << endl;
		zList[i] = z;
	}

	valarray<double> ProbList(zList.size());
	ProbList = NormalProbList(zList, 49);
	for (int i=0; i < zList.size(); i++) {
		cout << setprecision(2) << setiosflags(ios::right) 
		<< setiosflags(ios::showpoint | ios::fixed);
		cout << zList[i] << "\t" << setprecision(8)
		<< ProbList[i] << endl;
	}
	
	return 0;
}